{"openapi":"3.0.0","info":{"title":"3gpp-service-parameter","version":"1.0.0","description":"API for AF service paramter\nÂ© 2020, 3GPP Organizational Partners (ARIB, ATIS, CCSA, ETSI, TSDSI, TTA, TTC).\nAll rights reserved.\n"},"externalDocs":{"description":"3GPP TS 29.522 V16.4.0; 5G System; Network Exposure Function Northbound APIs.","url":"http://www.3gpp.org/ftp/Specs/archive/29_series/29.522/"},"servers":[{"url":"{apiRoot}/3gpp-service-parameter/v1","variables":{"apiRoot":{"default":"https://cocfntcrs1.execute-api.us-east-2.amazonaws.com/convergedChargingStage/convergedCharging","description":"apiRoot as defined in subclause 5.2.4 of 3GPP TS 29.122."}}}],"paths":{"/{afId}/subscriptions":{"parameters":[{"name":"afId","in":"path","description":"Identifier of the AF","required":true,"schema":{"type":"string"}}],"get":{"summary":"read all of the active subscriptions for the AF","tags":["Service Parameter Subscriptions"],"responses":{"200":{"description":"OK.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceParameterData"},"minItems":0}}}}}},"post":{"summary":"Creates a new subscription resource","tags":["Service Parameter Subscriptions"],"requestBody":{"description":"Request to create a new subscription resource","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceParameterData"}}}},"responses":{"201":{"description":"Created (Successful creation of subscription)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceParameterData"}}},"headers":{"Location":{"description":"Contains the URI of the newly created resource","required":true,"schema":{"type":"string"}}}}}}},"/{afId}/subscriptions/{subscriptionId}":{"parameters":[{"name":"afId","in":"path","description":"Identifier of the AF","required":true,"schema":{"type":"string"}},{"name":"subscriptionId","in":"path","description":"Identifier of the subscription resource","required":true,"schema":{"type":"string"}}],"get":{"summary":"read an active subscriptions for the SCS/AS and the subscription Id","tags":["Individual Service Parameter Subscription"],"responses":{"200":{"description":"OK (Successful get the active subscription)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceParameterData"}}}}}},"put":{"summary":"Updates/replaces an existing subscription resource","tags":["Individual Service Parameter Subscription"],"requestBody":{"description":"Parameters to update/replace the existing subscription","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceParameterData"}}}},"responses":{"200":{"description":"OK (Successful update of the subscription)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceParameterData"}}}}}},"patch":{"summary":"Updates/replaces an existing subscription resource","tags":["Individual Service Parameter Subscription"],"requestBody":{"required":true,"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/ServiceParameterDataPatch"}}}},"responses":{"200":{"description":"OK. The subscription was modified successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceParameterData"}}}}}},"delete":{"summary":"Deletes an already existing subscription","tags":["Individual Service Parameter Subscription"],"responses":{"204":{"description":"No Content (Successful deletion of the existing subscription)"}}}}},"components":{"schemas":{"ServiceParameterData":{"type":"object","properties":{"afServiceId":{"type":"string","description":"Identifies a service on behalf of which the AF is issuing the request."},"appId":{"type":"string","description":"Identifies an application."},"anyUeInd":{"type":"boolean","description":"Identifies whether the AF request applies to any UE. This attribute shall set to \"true\" if applicable for any UE, otherwise, set to \"false\"."},"paramOverPc5":{"$ref":"#/components/schemas/ParameterOverPc5"},"paramOverUu":{"$ref":"#/components/schemas/ParameterOverUu"}}},"ServiceParameterDataPatch":{"type":"object","properties":{"paramOverPc5":{"$ref":"#/components/schemas/ParameterOverPc5Rm"},"ParamOverUu":{"$ref":"#/components/schemas/ParameterOverUuRm"}}},"ParameterOverPc5":{"type":"string"},"ParameterOverPc5Rm":{"type":"string","nullable":true},"ParameterOverUu":{"type":"string"},"ParameterOverUuRm":{"type":"string","nullable":true}}}}